Package com.collabnet.ce.soap60.webservices.scm

# Class CommitSoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.scm.CommitSoapRow

public class CommitSoapRow extends Object
A list of commits.

Since:
  4.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommitSoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCommitMessage()`
  Returns 'commitMessage'.
  `String`
  `getCreatedBy()`
  Returns 'createdBy'.
  `String`
  `getCreatedByFullname()`
  Returns 'createdByFullname'.
  `Date`
  `getDateCreated()`
  Returns 'dateCreated'.
  `String`
  `getFolderPathString()`
  Returns 'folderPathString'.
  `String`
  `getId()`
  Returns 'id'.
  `String`
  `getProjectId()`
  Returns 'projectId'.
  `String`
  `getProjectPathString()`
  Returns 'projectPathString'.
  `String`
  `getProjectTitle()`
  Returns 'projectTitle'.
  `String`
  `getTitle()`
  Returns 'title'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setCommitMessage(String commitMessage)`
  Sets 'commitMessage'.
  `void`
  `setCreatedBy(String createdBy)`
  Sets 'createdBy'.
  `void`
  `setCreatedByFullname(String createdByFullname)`
  Sets 'createdByFullname'.
  `void`
  `setDateCreated(Date dateCreated)`
  Sets 'dateCreated'.
  `void`
  `setFolderPathString(String folderPathString)`
  Sets 'folderPathString'.
  `void`
  `setId(String id)`
  Sets 'id'.
  `void`
  `setProjectId(String projectId)`
  Sets 'projectId'.
  `void`
  `setProjectPathString(String projectPathString)`
  Sets 'projectPathString'.
  `void`
  `setProjectTitle(String projectTitle)`
  Sets 'projectTitle'.
  `void`
  `setTitle(String title)`
  Sets 'title'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CommitSoapRow

    public CommitSoapRow()

- ## Method Details

  - ### getId

    public String getId()
    Returns 'id'. Id of the commit
    Returns:
      Value of 'id'.

  - ### setId

    public void setId(String id)
    Sets 'id'. Id of the commit
    Parameters:
      `id` - Value of 'id'.

  - ### getProjectPathString

    public String getProjectPathString()
    Returns 'projectPathString'. The path of the project containing the commit
    Returns:
      Value of 'projectPathString'.

  - ### setProjectPathString

    public void setProjectPathString(String projectPathString)
    Sets 'projectPathString'. The path of the project containing the commit
    Parameters:
      `projectPathString` - Value of 'projectPathString'.

  - ### getProjectTitle

    public String getProjectTitle()
    Returns 'projectTitle'. The title of the project containing the commit
    Returns:
      Value of 'projectTitle'.

  - ### setProjectTitle

    public void setProjectTitle(String projectTitle)
    Sets 'projectTitle'. The title of the project containing the commit
    Parameters:
      `projectTitle` - Value of 'projectTitle'.

  - ### getProjectId

    public String getProjectId()
    Returns 'projectId'. The Id of the project containing the commit
    Returns:
      Value of 'projectId'.

  - ### setProjectId

    public void setProjectId(String projectId)
    Sets 'projectId'. The Id of the project containing the commit
    Parameters:
      `projectId` - Value of 'projectId'.

  - ### getFolderPathString

    public String getFolderPathString()
    Returns 'folderPathString'.
    Returns:
      Value of 'folderPathString'.

  - ### setFolderPathString

    public void setFolderPathString(String folderPathString)
    Sets 'folderPathString'.
    Parameters:
      `folderPathString` - Value of 'folderPathString'.

  - ### getTitle

    public String getTitle()
    Returns 'title'. The title of the commit
    Returns:
      Value of 'title'.

  - ### setTitle

    public void setTitle(String title)
    Sets 'title'. The title of the commit
    Parameters:
      `title` - Value of 'title'.

  - ### getCreatedBy

    public String getCreatedBy()
    Returns 'createdBy'. The username of the user who created the commit
    Returns:
      Value of 'createdBy'.

  - ### setCreatedBy

    public void setCreatedBy(String createdBy)
    Sets 'createdBy'. The username of the user who created the commit
    Parameters:
      `createdBy` - Value of 'createdBy'.

  - ### getCreatedByFullname

    public String getCreatedByFullname()
    Returns 'createdByFullname'. The full name of the user who created the commit
    Returns:
      Value of 'createdByFullname'.

  - ### setCreatedByFullname

    public void setCreatedByFullname(String createdByFullname)
    Sets 'createdByFullname'. The full name of the user who created the commit
    Parameters:
      `createdByFullname` - Value of 'createdByFullname'.

  - ### getDateCreated

    public Date getDateCreated()
    Returns 'dateCreated'. The date the commit was created
    Returns:
      Value of 'dateCreated'.

  - ### setDateCreated

    public void setDateCreated(Date dateCreated)
    Sets 'dateCreated'. The date the commit was created
    Parameters:
      `dateCreated` - Value of 'dateCreated'.

  - ### getCommitMessage

    public String getCommitMessage()
    Returns 'commitMessage'. The message provided by the user when creating the commit
    Returns:
      Value of 'commitMessage'.

  - ### setCommitMessage

    public void setCommitMessage(String commitMessage)
    Sets 'commitMessage'. The message provided by the user when creating the commit
    Parameters:
      `commitMessage` - Value of 'commitMessage'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)